Get public key for session token validation (V2)
This API endpoint will return the public key needed to handle the session token JWT validation.
projectId is provided as a GET parameter, so this endpoint can be executed with a browser.
This endpoint differentiates from Token Validation Key (V1) as the data is returned in JSON format rather than an array.
curl -X GET "https://api.descope.com/v2/keys/string"{ "keys": [ { "alg": "string", "e": "string", "kid": "string", "kty": "string", "n": "string", "use": "string" } ]}export interface Response {keys?: Sessionv1[]}export interface Sessionv1 {alg?: stringe?: stringkid?: stringkty?: stringn?: stringuse?: string}Token Validation Key (V1) GET
### Get public key for session token validation (V1) This API endpoint will return the public key needed to handle the session token JWT validation. `projectId` is provided as a GET parameter, so this endpoint can be executed with a browser.
Refresh Session POST
### Refresh the session token, using a valid fresh token This API endpoint will provide a new valid session token for an existing signed-in user, by validating the provided refresh token. The refresh token is provided as part of the HTTP Authorization Bearer.